Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ispace
Class ISpaceTool.CapabilityTable

    java.lang.Object
      ix.iface.util.KeyValueTable
          ix.ispace.ISpaceTool.CapabilityTable

Enclosing class:
  ISpaceTool

     class ISpaceTool.CapabilityTable

extends KeyValueTable

Nested Class Summary
`(package private) class` | `ISpaceTool.CapabilityTable.CapabilityPopupMenu`

Nested classes/interfaces inherited from class ix.iface.util.KeyValueTable
`KeyValueTable.LexicographicComparator, KeyValueTable.MostRecentFirstComparator, KeyValueTable.MostRecentLastComparator, KeyValueTable.PatternObjectComparator, KeyValueTable.RowPopupMenu, KeyValueTable.ViewJTable, KeyValueTable.ViewTableModel, KeyValueTable.ViewTableMouseListener`

Field Summary

Fields inherited from class ix.iface.util.KeyValueTable
`keyList, keySortComparator, keyTimestamps, model, mouseListener, table, timestamp, viewedMap`

Constructor Summary
`ISpaceTool.CapabilityTable(java.util.Map initialMap)`

Method Summary
`protected void` | `doPopupAction(java.awt.event.ActionEvent event, int row, java.lang.Object key)` Called by the row popup menu to intepret any action command selected from the menu.
`protected java.lang.String` | `keyToString(java.lang.Object key)`
`protected KeyValueTable.RowPopupMenu` | `makePopupMenu()` Factory method.
`protected java.lang.String` | `valueToString(java.lang.Object value)`

Methods inherited from class ix.iface.util.KeyValueTable
`deleteEntry, deleteEntry, getJTable, getKeySortComparator, getValue, getViewedMap, insertKey, keyTimestamp, recordNewValue, recordNewValues, reset, setKeySortComparator, timestampKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ISpaceTool.CapabilityTable

    ISpaceTool.CapabilityTable(java.util.Map initialMap)

Method Detail

### keyToString

    protected java.lang.String keyToString(java.lang.Object key)

  Overrides:
    `keyToString` in class `KeyValueTable`

### valueToString

    protected java.lang.String valueToString(java.lang.Object value)

  Overrides:
    `valueToString` in class `KeyValueTable`

### makePopupMenu

    protected KeyValueTable.RowPopupMenu makePopupMenu()

  Description copied from class: `KeyValueTable`
  Factory method.

  Specified by:
    `makePopupMenu` in class `KeyValueTable`

### doPopupAction

    protected void doPopupAction(java.awt.event.ActionEvent event,
                                 int row,
                                 java.lang.Object key)

  Description copied from class: `KeyValueTable`
  Called by the row popup menu to intepret any action command selected from the menu.

  Specified by:
    `doPopupAction` in class `KeyValueTable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD